# FLAC: FLAC::Metadata::Iterator Class Reference

FLAC::Metadata::Iterator Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes » FLAC++/metadata.h: metadata level 0 interface » FLAC++/metadata.h: metadata level 1 interface » FLAC++/metadata.h: metadata level 2 interface

`#include <metadata.h>`

## Public Member Functions

bool | is_valid () const
void | init (Chain &chain)
bool | next ()
bool | prev ()
::FLAC__MetadataType | get_block_type () const
Prototype * | get_block ()
bool | set_block (Prototype *block)
bool | delete_block (bool replace_with_padding)
bool | insert_block_before (Prototype *block)
bool | insert_block_after (Prototype *block)

## Protected Member Functions

virtual void | clear ()

## Protected Attributes

::FLAC__Metadata_Iterator * | iterator_

## Detailed Description

This class is a wrapper around the FLAC__metadata_iterator structures and methods; see the usage guide and FLAC__Metadata_Iterator.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation